import Vue from 'vue'
import App from './App'


// 引入全局uView
import uView from '@/uni_modules/uview-ui'
import config from '@/common/config'


Vue.config.productionTip = false

App.mpType = 'app'
Vue.prototype.$url=config.baseUrl
Vue.use(uView)

// #ifdef MP
// 引入uView对小程序分享的mixin封装
const mpShare = require('@/uni_modules/uview-ui/libs/mixin/mpShare.js')
Vue.mixin(mpShare)
// #endif
// http拦截器，此为需要加入的内容，如果不是写在common目录，请自行修改引入路径


const app = new Vue({
    ...App
})
// 引入请求封装
require('./util/request/index')(app)
app.$mount()
